package fishrungames.bashgid;


import fishrungames.bashgid.core.ImageManager;
import fishrungames.bashgid.core.NewsManager.NewsRecord;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;


public class NewsRecordFragment extends Fragment
{
	
	NewsRecord newsRecord;
	
	public NewsRecordFragment(NewsRecord newsRecord)
	{
		this.newsRecord = newsRecord;
	}
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		View rootView = inflater.inflate(R.layout.fragment_news_record_page, container, false);
		
		TextView titleTextView = (TextView) rootView.findViewById(R.id.titleTextView);
		
		TextView descriptionTextView = (TextView) rootView.findViewById(R.id.descriptionTextView);
		
		ImageView imageView = (ImageView) rootView.findViewById(R.id.imageView);
		
		titleTextView.setText(newsRecord.title);
		descriptionTextView.setText(newsRecord.description);
		
		ImageManager.getInstance().ApplyImageToImageView(imageView, newsRecord.imageId);
		
		return rootView;
	}
}
